## pgagent 3.3.0

=== CMakeLists.txt ===
#######################################################################
#
# pgAgent - PostgreSQL tools
# Copyright (C) 2002 - 2012, The pgAdmin Development Team
# This software is released under the PostgreSQL Licence
#
# CMakeLists.txt - CMake build configuration
#
#######################################################################

################################################################################
# Initial setup
################################################################################
IF(APPLE)
    CMAKE_MINIMUM_REQUIRED(VERSION 2.8.8)
ELSE()
    CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
ENDIF(APPLE)

IF(COMMAND cmake_policy)
    CMAKE_POLICY(SET CMP0003 NEW)
ENDIF(COMMAND cmake_policy)

SET(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)

SET(CMAKE_FIND_LIBRARY_PREFIXES "")
SET(CMAKE_FIND_LIBRARY_SUFFIXES ".lib")

SET(STATIC_BUILD YES CACHE BOOL "Statically link the executable?")

################################################################################
# Apple stuff
################################################################################
IF(APPLE)
    # Setup default values
    IF(NOT HAVE_CACHED_VALUES)

        IF(EXISTS ${CMAKE_OSX_SYSROOT})
            SET(CMAKE_OSX_SYSROOT ${CMAKE_OSX_SYSROOT} CACHE FILEPATH "isysroot used for universal binary support" FORCE)
        ENDIF(EXISTS ${CMAKE_OSX_SYSROOT})
    
        IF(NOT ${CMAKE_OSX_ARCHITECTURES} STREQUAL "")
            SET(CMAKE_OSX_ARCHITECTURES ${CMAKE_OSX_ARCHITECTURES} CACHE STRING "Build architectures for OSX" FORCE)
        ELSE()
            SET(CMAKE_OSX_ARCHITECTURES "ppc;i386" CACHE STRING "Build architectures for OSX" FORCE)
        ENDIF(NOT ${CMAKE_OSX_ARCHITECTURES} STREQUAL "")
    
    ENDIF(NOT HAVE_CACHED_VALUES)
 
   # Target Tiger
    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mmacosx-version-min=10.4")
ENDIF(APPLE)

################################################################################
# Project config
################################################################################
PROJECT(pgagent)

# If changing the version number, remember to change here and under the CPack 
# settings in this file, as well as the definition for pgagent_schema_version()
# in pgagent.sql and upgrade_pgagent.sql if the major version number is
# changed. The full version number also needs to be included in pgAgent.rc and
# pgaevent/pgamsgevent.rc at present.
SET(VERSION 3.3.0)

# CPack stuff
SET(CPACK_PACKAGE_VERSION_MAJOR 3)
SET(CPACK_PACKAGE_VERSION_MINOR 3)
SET(CPACK_PACKAGE_VERSION_PATCH 0)
SET(CPACK_PACKAGE_NAME "pgAgent")
SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "pgAgent is a job scheduling engine for PostgreSQL")
SET(CPACK_PACKAGE_VENDOR "the pgAdmin Development Team")
IF(WIN32)
    SET(CPACK_GENERATOR ZIP)
ELSE(WIN32)
    SET(CPACK_GENERATOR TGZ)
ENDIF(WIN32)
SET(CPACK_SOURCE_GENERATOR TGZ)
SET(CPACK_SOURCE_IGNORE_FILES "\\\\.DS_Store;/CVS/;/\\\\.svn/;\\\\.swp$;\\\\.#;/#;.*~;cscope.*")

ADD_DEFINITIONS(-DPGAGENT_VERSION_MAJOR=${CPACK_PACKAGE_VERSION_MAJOR})

# This must come after we set the CPACK variables!!
INCLUDE(CPack)

################################################################################
# Find wxWidgets
################################################################################
SET(WX_DEBUG NO CACHE BOOL "Use the debug build of wxWidgets?")
SET(WX_STATIC ${STATIC_BUILD})
SET(WX_VERSION "2.8")
SET(WX_UNICODE YES)
SET(WX_MODULES "base")

FIND_PACKAGE(WX REQUIRED)

INCLUDE_DIRECTORIES(${WX_INCLUDE_DIRS})
ADD_DEFINITIONS(${WX_DEFINITIONS})
LINK_DIRECTORIES(${WX_LIBRARY_DIRS})
SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${WX_CXX_FLAGS}")

################################################################################
# Find PostgreSQL
################################################################################
SET(PG_STATIC ${WX_STATIC})

FIND_PACKAGE(PG REQUIRED)

INCLUDE_DIRECTORIES(${PG_INCLUDE_DIRS})
LINK_DIRECTORIES(${PG_LIBRARY_DIRS})

################################################################################
# Let's rock!
################################################################################
INCLUDE_DIRECTORIES(${pgagent_SOURCE_DIR}
                    ${pgagent_SOURCE_DIR}/include)

FILE(GLOB _cpp_files *.cpp)
FILE(GLOB _h_files include/*.h)

SET(_srcs ${_cpp_files} ${_h_files})
 
IF(WIN32)
    SET(_srcs ${_srcs} pgagent.rc)
ENDIF(WIN32)
 
ADD_EXECUTABLE(pgagent ${_srcs})
TARGET_LINK_LIBRARIES(pgagent ${PG_LIBRARIES} ${WX_LIBRARIES})

# Installation
IF (WIN32)
    INSTALL(TARGETS pgagent DESTINATION .)
    INSTALL(FILES ${pgagent_SOURCE_DIR}/pgagent.sql DESTINATION .)
    INSTALL(FILES ${pgagent_SOURCE_DIR}/pgagent_upgrade.sql DESTINATION .)
ELSE(WIN32)
    INSTALL(TARGETS pgagent DESTINATION bin)
    INSTALL(FILES ${pgagent_SOURCE_DIR}/pgagent.sql DESTINATION share)
    INSTALL(FILES ${pgagent_SOURCE_DIR}/pgagent_upgrade.sql DESTINATION share)
ENDIF(WIN32)

INSTALL(FILES ${pgagent_SOURCE_DIR}/README DESTINATION .)
INSTALL(FILES ${pgagent_SOURCE_DIR}/LICENSE DESTINATION .)

################################################################################
# pgaevent
################################################################################
IF(WIN32)
    ADD_SUBDIRECTORY(pgaevent)
ENDIF(WIN32)

################################################################################
# Build summary
################################################################################
MESSAGE(STATUS " ")

MESSAGE(STATUS "================================================================================")
MESSAGE(STATUS "Configuration summary:")
MESSAGE(STATUS " ")
MESSAGE(STATUS "  Project                     : ${PROJECT_NAME}")
MESSAGE(STATUS "  Description                 : ${CPACK_PACKAGE_DESCRIPTION_SUMMARY}")
MESSAGE(STATUS "  Version                     : ${VERSION}")
MESSAGE(STATUS " ")
MESSAGE(STATUS "  PostgreSQL version          : ${PG_VERSION_STRING}")
MESSAGE(STATUS "  PostgreSQL path             : ${PG_ROOT_DIR}")
MESSAGE(STATUS "  PostgreSQL config binary    : ${PG_CONFIG_PATH}")
MESSAGE(STATUS "  PostgreSQL include path     : ${PG_INCLUDE_DIRS}")
MESSAGE(STATUS "  PostgreSQL library path     : ${PG_LIBRARY_DIRS}")
MESSAGE(STATUS " ")
MESSAGE(STATUS "  wxWidgets version           : ${WX_VERSION_STRING}")
MESSAGE(STATUS "  wxWidgets path              : ${WX_ROOT_DIR}")
MESSAGE(STATUS "  wxWidgets config binary     : ${WX_CONFIG_PATH}")
MESSAGE(STATUS "  wxWidgets Static linking    : ${WX_STATIC}")
MESSAGE(STATUS "  wxWidgets Debug?            : ${WX_DEBUG}")
MESSAGE(STATUS "================================================================================")
MESSAGE(STATUS " ")

################################################################################
# Give ourselves a hint that we have cached values - must be last!
################################################################################
IF(NOT HAVE_CACHED_VALUES)
    SET(HAVE_CACHED_VALUES 1 CACHE INTERNAL "Flag to indicate that we have cached values")
ENDIF(NOT HAVE_CACHED_VALUES)

## pgagent 3.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #######################################################################
 #
 # pgAgent - PostgreSQL tools
-# Copyright (C) 2002 - 2012, The pgAdmin Development Team
+# Copyright (C) 2002 - 2014, The pgAdmin Development Team
 # This software is released under the PostgreSQL Licence
 #
 # CMakeLists.txt - CMake build configuration
@@ -61,11 +61,11 @@
 # in pgagent.sql and upgrade_pgagent.sql if the major version number is
 # changed. The full version number also needs to be included in pgAgent.rc and
 # pgaevent/pgamsgevent.rc at present.
-SET(VERSION 3.3.0)
+SET(VERSION 3.4.0)
 
 # CPack stuff
 SET(CPACK_PACKAGE_VERSION_MAJOR 3)
-SET(CPACK_PACKAGE_VERSION_MINOR 3)
+SET(CPACK_PACKAGE_VERSION_MINOR 4)
 SET(CPACK_PACKAGE_VERSION_PATCH 0)
 SET(CPACK_PACKAGE_NAME "pgAgent")
 SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "pgAgent is a job scheduling engine for PostgreSQL")
@@ -130,16 +130,31 @@
 # Installation
 IF (WIN32)
     INSTALL(TARGETS pgagent DESTINATION .)
-    INSTALL(FILES ${pgagent_SOURCE_DIR}/pgagent.sql DESTINATION .)
-    INSTALL(FILES ${pgagent_SOURCE_DIR}/pgagent_upgrade.sql DESTINATION .)
+    INSTALL(FILES ${pgagent_SOURCE_DIR}/sql/pgagent.sql DESTINATION .)
+    INSTALL(FILES ${pgagent_SOURCE_DIR}/sql/pgagent_upgrade.sql DESTINATION .)
 ELSE(WIN32)
     INSTALL(TARGETS pgagent DESTINATION bin)
-    INSTALL(FILES ${pgagent_SOURCE_DIR}/pgagent.sql DESTINATION share)
-    INSTALL(FILES ${pgagent_SOURCE_DIR}/pgagent_upgrade.sql DESTINATION share)
+    INSTALL(FILES ${pgagent_SOURCE_DIR}/sql/pgagent.sql DESTINATION share)
+    INSTALL(FILES ${pgagent_SOURCE_DIR}/sql/pgagent_upgrade.sql DESTINATION share)
 ENDIF(WIN32)
 
 INSTALL(FILES ${pgagent_SOURCE_DIR}/README DESTINATION .)
 INSTALL(FILES ${pgagent_SOURCE_DIR}/LICENSE DESTINATION .)
+
+# Extension
+IF(PG_EXTENSION)
+    ADD_CUSTOM_COMMAND(
+        OUTPUT pgagent--${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.sql pgagent.control
+        COMMAND ${CMAKE_COMMAND} -D MAJOR_VERSION=${CPACK_PACKAGE_VERSION_MAJOR} -D MINOR_VERSION=${CPACK_PACKAGE_VERSION_MINOR} -P cmake/MakeExt.cmake
+        MAIN_DEPENDENCY sql/pgagent.sql
+    )
+    ADD_CUSTOM_TARGET(run ALL DEPENDS pgagent--${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.sql pgagent.control)
+    INSTALL(FILES pgagent--${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.sql DESTINATION ${PG_SHARE_DIR}/extension)
+    FILE(GLOB SQL "${CMAKE_CURRENT_SOURCE_DIR}/sql/*--*.sql")
+    FILE(GLOB CONTROL "${CMAKE_CURRENT_SOURCE_DIR}/*.control")
+    INSTALL(FILES pgagent.control ${CONTROL} ${SQL} DESTINATION ${PG_SHARE_DIR}/extension)
+ENDIF(PG_EXTENSION)
+
 
 ################################################################################
 # pgaevent
@@ -160,11 +175,13 @@
 MESSAGE(STATUS "  Description                 : ${CPACK_PACKAGE_DESCRIPTION_SUMMARY}")
 MESSAGE(STATUS "  Version                     : ${VERSION}")
 MESSAGE(STATUS " ")
-MESSAGE(STATUS "  PostgreSQL version          : ${PG_VERSION_STRING}")
+MESSAGE(STATUS "  PostgreSQL version string   : ${PG_VERSION_STRING}")
+MESSAGE(STATUS "  PostgreSQL version parts    : ${PG_MAJOR_VERSION}.${PG_MINOR_VERSION}.${PG_PATCH_VERSION}")
 MESSAGE(STATUS "  PostgreSQL path             : ${PG_ROOT_DIR}")
 MESSAGE(STATUS "  PostgreSQL config binary    : ${PG_CONFIG_PATH}")
 MESSAGE(STATUS "  PostgreSQL include path     : ${PG_INCLUDE_DIRS}")
 MESSAGE(STATUS "  PostgreSQL library path     : ${PG_LIBRARY_DIRS}")
+MESSAGE(STATUS "  PostgreSQL share path       : ${PG_SHARE_DIR}")
 MESSAGE(STATUS " ")
 MESSAGE(STATUS "  wxWidgets version           : ${WX_VERSION_STRING}")
 MESSAGE(STATUS "  wxWidgets path              : ${WX_ROOT_DIR}")

=== pgaevent/CMakeLists.txt ===
#######################################################################
#
# pgAgent - PostgreSQL tools
# Copyright (C) 2002 - 2014, The pgAdmin Development Team
# This software is released under the PostgreSQL Licence
#
# pgaevent/CMakeLists.txt - CMake build configuration
#
#######################################################################

################################################################################
# Let's rock!
################################################################################
IF(WIN32)
    SET(_srcs pgaevent.c pgaevent.def pgamsgevent.rc)

    ADD_LIBRARY(pgaevent MODULE ${_srcs})

    INSTALL(TARGETS pgaevent DESTINATION .)
ENDIF(WIN32)

=== debian/changelog ===
pgagent (3.4.0-3) unstable; urgency=medium

  * No-change upload to build extension against PostgreSQL 9.4.

 -- Martin Pitt <mpitt@debian.org>  Tue, 29 Jul 2014 07:19:46 +0200

pgagent (3.4.0-2) unstable; urgency=medium

  * Taking over package from Gerfried, thanks!
  * Set team as maintainer.
  * Packaging moved to git.
  * Remove obsolete README.Debian and README.source files.
  * Run a test job from debian/tests/installcheck.
  * Update to use wxwidgets3.0. Original patch by Olly Betts, though this
    is a simplified version of his patch. Thanks! Closes: #749454.
  * Note supported PostgreSQL versions in binary control.

 -- Christoph Berg <myon@debian.org>  Thu, 29 May 2014 21:11:18 +0200

pgagent (3.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Use source format 3.0.
  * Use dh rules file.
  * Add -s to manpage.
  * Provide extension files for the remaining supported PostgreSQL versions
    using symlinks. (No-op in Debian, useful for pgapt and backports.)
  * Test extension using autopkgtest.

 -- Christoph Berg <myon@debian.org>  Thu, 06 Mar 2014 17:30:09 +0100

pgagent (3.3.0-1) unstable; urgency=low

  * New upstream release.
  * Update watch file to point to http://ftp.postgresql.org/pub/
  * Add myself to Uploaders.

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 22 Oct 2013 12:00:42 +0200

pgagent (3.2.1-1) unstable; urgency=low

  * New upstream release.
  * Relicense packaging under WTFPLv2.
  * Add recommended targets build-{arch,indep} to debian/rules.

 -- Gerfried Fuchs <rhonda@debian.org>  Mon, 30 Apr 2012 20:04:50 +0200

pgagent (3.0.1-1) unstable; urgency=low

  * New upstream release, relicensed from Artistic License to BSD License, no
    other changes.
  * Switched Priority from extra to optional which is in the overrides file
    anyway.
  * Bumped Standards-Version to 3.8.3.
  * Add README.source referencing quilt's one.

 -- Gerfried Fuchs <rhonda@debian.at>  Thu, 10 Sep 2009 21:45:42 +0200

pgagent (3.0.0-1) unstable; urgency=low

  * Initial release of pgagent in split source from pgadmin3.

 -- Gerfried Fuchs <rhonda@debian.at>  Sun, 05 Jul 2009 18:40:01 +0200

=== debian/control ===
Source: pgagent
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 9), cmake, libwxbase3.0-dev | libwxgtk2.8-dev, libpq-dev (>= 8.1),
 postgresql-server-dev-all
Standards-Version: 3.9.5
Homepage: http://www.pgadmin.org/
Vcs-Git: https://alioth.debian.org/anonscm/git/pkg-postgresql/pgagent.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/pgagent.git
XS-Testsuite: autopkgtest

Package: pgagent
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: pgadmin3
Description: job scheduler for PostgreSQL
 Introduced in pgAdmin III v1.4, pgAgent is a job scheduling agent for
 PostgreSQL, capable of running multi-step batch/shell and SQL tasks on
 complex schedules.
XB-Postgresql-Version: ${Postgresql:Version}

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

# <Webpage URL> <string match>
http://ftp.postgresql.org/pub/pgadmin3/release/pgagent/  pgAgent-(.*)-Source.tar.gz

## pgagent 3.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #######################################################################
 #
 # pgAgent - PostgreSQL tools
-# Copyright (C) 2002 - 2014, The pgAdmin Development Team
+# Copyright (C) 2002 - 2015, The pgAdmin Development Team
 # This software is released under the PostgreSQL Licence
 #
 # CMakeLists.txt - CMake build configuration
@@ -27,7 +27,6 @@
 SET(CMAKE_FIND_LIBRARY_SUFFIXES ".lib")
 
 SET(STATIC_BUILD YES CACHE BOOL "Statically link the executable?")
-
 ################################################################################
 # Apple stuff
 ################################################################################
@@ -61,12 +60,12 @@
 # in pgagent.sql and upgrade_pgagent.sql if the major version number is
 # changed. The full version number also needs to be included in pgAgent.rc and
 # pgaevent/pgamsgevent.rc at present.
-SET(VERSION 3.4.0)
+SET(VERSION "3.4.1")
 
 # CPack stuff
 SET(CPACK_PACKAGE_VERSION_MAJOR 3)
 SET(CPACK_PACKAGE_VERSION_MINOR 4)
-SET(CPACK_PACKAGE_VERSION_PATCH 0)
+SET(CPACK_PACKAGE_VERSION_PATCH 1)
 SET(CPACK_PACKAGE_NAME "pgAgent")
 SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "pgAgent is a job scheduling engine for PostgreSQL")
 SET(CPACK_PACKAGE_VENDOR "the pgAdmin Development Team")
@@ -79,6 +78,7 @@
 SET(CPACK_SOURCE_IGNORE_FILES "\\\\.DS_Store;/CVS/;/\\\\.svn/;\\\\.swp$;\\\\.#;/#;.*~;cscope.*")
 
 ADD_DEFINITIONS(-DPGAGENT_VERSION_MAJOR=${CPACK_PACKAGE_VERSION_MAJOR})
+ADD_DEFINITIONS(-DPGAGENT_VERSION="${VERSION}")
 
 # This must come after we set the CPACK variables!!
 INCLUDE(CPack)

=== pgaevent/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #######################################################################
 #
 # pgAgent - PostgreSQL tools
-# Copyright (C) 2002 - 2014, The pgAdmin Development Team
+# Copyright (C) 2002 - 2015, The pgAdmin Development Team
 # This software is released under the PostgreSQL Licence
 #
 # pgaevent/CMakeLists.txt - CMake build configuration

=== debian/changelog ===
pgagent (3.4.1-5build1) bionic; urgency=high

  * No change rebuild against postgresql 10 on ppc64el as it was built
    against 9.6.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 20 Nov 2017 15:28:47 +0000

pgagent (3.4.1-5) unstable; urgency=medium

  * Team upload for PostgreSQL 10.

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 21 Sep 2017 15:15:50 +0200

pgagent (3.4.1-4) unstable; urgency=medium

  * Relicense debian/ to the same terms as the package itself. Thanks Rhonda!

 -- Christoph Berg <myon@debian.org>  Sat, 14 Jan 2017 21:02:10 +0100

pgagent (3.4.1-3) unstable; urgency=medium

  * Team upload.
  * debian/tests/control.in: Depend on postgresql-PGVERSION. (We also have
    debian/control.in now because pgxs_debian_control.mk insists on it.)

 -- Christoph Berg <christoph.berg@credativ.de>  Fri, 30 Sep 2016 11:53:04 +0200

pgagent (3.4.1-2) unstable; urgency=medium

  * Rebuild for PostgreSQL 9.5.

 -- Martin Pitt <mpitt@debian.org>  Thu, 14 Jan 2016 21:34:21 +0100

pgagent (3.4.1-1) unstable; urgency=medium

  * New upstream release found on github.
    + Fixes crash on parsing error messages.  (Closes: #781105)
  * Extend watch file with github release url.

 -- Christoph Berg <myon@debian.org>  Sun, 20 Dec 2015 09:02:05 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: pgagent
 Section: database
 Priority: optional
-Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
 Build-Depends: debhelper (>= 9), cmake, libwxbase3.0-dev | libwxgtk2.8-dev, libpq-dev (>= 8.1),
  postgresql-server-dev-all
-Standards-Version: 3.9.5
+Standards-Version: 4.1.0
 Homepage: http://www.pgadmin.org/
 Vcs-Git: https://alioth.debian.org/anonscm/git/pkg-postgresql/pgagent.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/pgagent.git
@@ -20,3 +21,4 @@
  PostgreSQL, capable of running multi-step batch/shell and SQL tasks on
  complex schedules.
 XB-Postgresql-Version: ${Postgresql:Version}
+

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	cmake . -DCMAKE_INSTALL_PREFIX=/usr \
		-DCMAKE_C_FLAGS="$(CFLAGS)" \
		-DCMAKE_LD_FLAGS="-Wl,-z,defs" \
		-DCMAKE_CXX_FLAGS="$(CXXFLAGS)" \
		-DCMAKE_SKIP_RPATH=ON \
		-DCMAKE_VERBOSE_MAKEFILE=ON \
		-DWX_VERSION=$(shell wx-config --release) \
		-DwxWidgets_USE_STATIC=OFF \
		-DWX_STATIC=OFF \
		-DSTATIC_BUILD=OFF

# install extension files for the other PostgreSQL versions
override_dh_link:
	set -ex; \
	version=$$(basename debian/pgagent/usr/share/postgresql/*); \
	for v in $(shell pg_buildext supported-versions); do \
		test $$v = $$version && continue; \
		mkdir -p debian/pgagent/usr/share/postgresql/$$v/extension; \
		(cd debian/pgagent/usr/share/postgresql/$$v/extension && \
			ln -vs ../../$$version/extension/* .); \
	done

override_dh_gencontrol:
	dh_gencontrol -- -VPostgresql:Version="$(shell pg_buildext supported-versions)"

override_dh_auto_clean:
	dh_auto_clean
	# there is no "cmake clean" command
	rm -rf CMakeCache.txt CMakeFiles/ cmake_install.cmake CPack* install_manifest.txt Makefile
	$(MAKE) -C test clean
	rm -f test/pgagent.out

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

opts="uversionmangle=s/_/./g" \
https://github.com/postgres/pgagent/releases .*/REL-(.*).tar.gz

http://ftp.postgresql.org/pub/pgadmin3/release/pgagent/  pgAgent-(.*)-Source.tar.gz

## pgagent 4.0.0

=== CMakeLists.txt ===
#######################################################################
#
# pgAgent - PostgreSQL tools
# Copyright (C) 2002 - 2018, The pgAdmin Development Team
# This software is released under the PostgreSQL Licence
#
# CMakeLists.txt - CMake build configuration
#
#######################################################################

################################################################################
# Initial setup
################################################################################
IF(APPLE)
    CMAKE_MINIMUM_REQUIRED(VERSION 2.8.8)
ELSE()
    CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
ENDIF(APPLE)

IF(COMMAND cmake_policy)
    CMAKE_POLICY(SET CMP0003 NEW)
ENDIF(COMMAND cmake_policy)

SET(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)

SET(CMAKE_FIND_LIBRARY_PREFIXES "")
SET(CMAKE_FIND_LIBRARY_SUFFIXES ".lib")

SET(STATIC_BUILD NO CACHE BOOL "Statically link the executable?")
SET(BOOST_MULTITHREADED_BUILD YES CACHE BOOL "Build multithreaded executable?")
SET(BOOST_STATIC_BUILD NO CACHE BOOL "Statically link the executable?")
################################################################################
# Apple stuff
################################################################################
IF(APPLE)
    # Setup default values
    IF(NOT HAVE_CACHED_VALUES)

        IF(EXISTS ${CMAKE_OSX_SYSROOT})
            SET(CMAKE_OSX_SYSROOT ${CMAKE_OSX_SYSROOT} CACHE FILEPATH "isysroot used for universal binary support" FORCE)
        ENDIF(EXISTS ${CMAKE_OSX_SYSROOT})

        IF(NOT ${CMAKE_OSX_ARCHITECTURES} STREQUAL "")
            SET(CMAKE_OSX_ARCHITECTURES ${CMAKE_OSX_ARCHITECTURES} CACHE STRING "Build architectures for OSX" FORCE)
        ELSE()
            SET(CMAKE_OSX_ARCHITECTURES "x86_64" CACHE STRING "Build architectures for OSX" FORCE)
        ENDIF(NOT ${CMAKE_OSX_ARCHITECTURES} STREQUAL "")

    ENDIF(NOT HAVE_CACHED_VALUES)

   # Target Tiger
    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mmacosx-version-min=10.9")
ENDIF(APPLE)

################################################################################
# Project config
################################################################################
PROJECT(pgagent)

# If changing the version number, remember to change here and under the CPack
# settings in this file, as well as the definition for pgagent_schema_version()
# in pgagent.sql and upgrade_pgagent.sql if the major version number is
# changed. The full version number also needs to be included in pgAgent.rc and
# pgaevent/pgamsgevent.rc at present.
SET(VERSION "4.0.0")

# CPack stuff
SET(CPACK_PACKAGE_VERSION_MAJOR 4)
SET(CPACK_PACKAGE_VERSION_MINOR 0)
SET(CPACK_PACKAGE_VERSION_PATCH 0)
SET(CPACK_PACKAGE_NAME "pgAgent")
SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "pgAgent is a job scheduling engine for PostgreSQL")
SET(CPACK_PACKAGE_VENDOR "the pgAdmin Development Team")
IF(WIN32)
    SET(CPACK_GENERATOR ZIP)
ELSE(WIN32)
    SET(CPACK_GENERATOR TGZ)
ENDIF(WIN32)
SET(CPACK_SOURCE_GENERATOR TGZ)
SET(CPACK_SOURCE_IGNORE_FILES "\\\\.DS_Store;/CVS/;/\\\\.svn/;\\\\.swp$;\\\\.#;/#;.*~;cscope.*")

ADD_DEFINITIONS(-DPGAGENT_VERSION_MAJOR=${CPACK_PACKAGE_VERSION_MAJOR})
ADD_DEFINITIONS(-DPGAGENT_VERSION="${VERSION}")

IF(WIN32)
    SET(BOOST_WIN_VERSION 0x0501)
    ADD_DEFINITIONS(-D_WIN32_WINNT=${BOOST_WIN_VERSION} -D_CRT_SECURE_NO_WARNINGS -D_SCL_SECURE_NO_WARNINGS)
ENDIF(WIN32)

# This must come after we set the CPACK variables!!
INCLUDE(CPack)

################################################################################
# Find PostgreSQL
################################################################################
SET(PG_STATIC ${STATIC_BUILD})

FIND_PACKAGE(PG REQUIRED)

INCLUDE_DIRECTORIES(${PG_INCLUDE_DIRS})
LINK_DIRECTORIES(${PG_LIBRARY_DIRS})

################################################################################
# Find Boost Libraries
################################################################################
SET (Boost_FIND_REQUIRED TRUE)
SET (Boost_FIND_QUIETLY FALSE)
SET (Boost_DEBUG FALSE)
SET (Boost_USE_MULTITHREADED ${BOOST_MULTITHREADED_BUILD})
SET (Boost_USE_STATIC_LIBS ${BOOST_STATIC_BUILD})

FIND_PACKAGE(Boost COMPONENTS filesystem regex date_time thread system)

if(Boost_FOUND)
  INCLUDE_DIRECTORIES(${Boost_INCLUDE_DIRS})
  LINK_DIRECTORIES(${Boost_LIBRARY_DIRS})
ELSE()
  MESSAGE(FATAL_ERROR "Boost library not found.")
endif()

################################################################################
# Let's rock!
################################################################################
INCLUDE_DIRECTORIES(${pgagent_SOURCE_DIR}
                    ${pgagent_SOURCE_DIR}/include)

FILE(GLOB _cpp_files *.cpp)
FILE(GLOB _h_files include/*.h)

SET(_srcs ${_cpp_files} ${_h_files})

IF(WIN32)
    SET(_srcs ${_srcs} pgagent.rc)
ENDIF(WIN32)

ADD_EXECUTABLE(pgagent ${_srcs})
TARGET_LINK_LIBRARIES(
        pgagent ${PG_LIBRARIES} ${Boost_LIBRARIES}
)

# Installation
IF (WIN32)
    INSTALL(TARGETS pgagent DESTINATION .)
    INSTALL(FILES ${pgagent_SOURCE_DIR}/sql/pgagent.sql DESTINATION .)
ELSE(WIN32)
    INSTALL(TARGETS pgagent DESTINATION bin)
    INSTALL(FILES ${pgagent_SOURCE_DIR}/sql/pgagent.sql DESTINATION share)
ENDIF(WIN32)

INSTALL(FILES ${pgagent_SOURCE_DIR}/README DESTINATION .)
INSTALL(FILES ${pgagent_SOURCE_DIR}/LICENSE DESTINATION .)

# Extension
IF(PG_EXTENSION)
    ADD_CUSTOM_COMMAND(
        OUTPUT ${CMAKE_BINARY_DIR}/pgagent--${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.sql pgagent.control
        COMMAND ${CMAKE_COMMAND} -D MAJOR_VERSION=${CPACK_PACKAGE_VERSION_MAJOR} -D MINOR_VERSION=${CPACK_PACKAGE_VERSION_MINOR} -DPGAGENT_SOURCE_DIR=${CMAKE_CURRENT_SOURCE_DIR} -P ${CMAKE_CURRENT_SOURCE_DIR}/cmake/MakeExt.cmake
        MAIN_DEPENDENCY ${CMAKE_CURRENT_SOURCE_DIR}/sql/pgagent.sql
    )
    ADD_CUSTOM_TARGET(run ALL DEPENDS ${CMAKE_BINARY_DIR}/pgagent--${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.sql ${CMAKE_BINARY_DIR}/pgagent.control)
    INSTALL(FILES ${CMAKE_BINARY_DIR}/pgagent--${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.sql DESTINATION ${PG_SHARE_DIR}/extension)
    FILE(GLOB SQL "${CMAKE_CURRENT_SOURCE_DIR}/sql/*--*.sql")
    FILE(GLOB CONTROL "${CMAKE_CURRENT_SOURCE_DIR}/*.control")
    INSTALL(FILES ${CMAKE_BINARY_DIR}/pgagent.control ${CONTROL} ${SQL} DESTINATION ${PG_SHARE_DIR}/extension)
ENDIF(PG_EXTENSION)

################################################################################
# pgaevent
################################################################################
IF(WIN32)
    ADD_SUBDIRECTORY(pgaevent)
ENDIF(WIN32)

################################################################################
# Build summary
################################################################################
MESSAGE(STATUS " ")

MESSAGE(STATUS "================================================================================")
MESSAGE(STATUS "Configuration summary:")
MESSAGE(STATUS " ")
MESSAGE(STATUS "  Project                     : ${PROJECT_NAME}")
MESSAGE(STATUS "  Description                 : ${CPACK_PACKAGE_DESCRIPTION_SUMMARY}")
MESSAGE(STATUS "  Version                     : ${VERSION}")
MESSAGE(STATUS " ")
MESSAGE(STATUS "  PostgreSQL version string   : ${PG_VERSION_STRING}")
IF(${PG_MAJOR_VERSION} GREATER 9)
	MESSAGE(STATUS "  PostgreSQL version parts    : ${PG_MAJOR_VERSION}")
ELSE()
	MESSAGE(STATUS "  PostgreSQL version parts    : ${PG_MAJOR_VERSION}.${PG_MINOR_VERSION}")
ENDIF(${PG_MAJOR_VERSION} GREATER 9)
MESSAGE(STATUS "  PostgreSQL path             : ${PG_ROOT_DIR}")
MESSAGE(STATUS "  PostgreSQL config binary    : ${PG_CONFIG_PATH}")
MESSAGE(STATUS "  PostgreSQL include path     : ${PG_INCLUDE_DIRS}")
MESSAGE(STATUS "  PostgreSQL library path     : ${PG_LIBRARY_DIRS}")
MESSAGE(STATUS "  PostgreSQL share path       : ${PG_SHARE_DIR}")
MESSAGE(STATUS " ")
MESSAGE(STATUS "  Boost version               : ${Boost_MAJOR_VERSION}.${Boost_MINOR_VERSION}.${Boost_SUBMINOR_VERSION}")
MESSAGE(STATUS "  Boost path                  : ${Boost_INCLUDE_DIRS}")
MESSAGE(STATUS "  Boost include directory     : ${Boost_INCLUDE_DIRS}")
MESSAGE(STATUS "  Boost library directory     : ${Boost_LIBRARY_DIRS}")
MESSAGE(STATUS "  Boost Static linking        : ${Boost_USE_STATIC_LIBS}")
MESSAGE(STATUS "================================================================================")
MESSAGE(STATUS " ")

################################################################################
# Give ourselves a hint that we have cached values - must be last!
################################################################################
IF(NOT HAVE_CACHED_VALUES)
    SET(HAVE_CACHED_VALUES 1 CACHE INTERNAL "Flag to indicate that we have cached values")
ENDIF(NOT HAVE_CACHED_VALUES)

=== pgaevent/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #######################################################################
 #
 # pgAgent - PostgreSQL tools
-# Copyright (C) 2002 - 2015, The pgAdmin Development Team
+# Copyright (C) 2002 - 2018, The pgAdmin Development Team
 # This software is released under the PostgreSQL Licence
 #
 # pgaevent/CMakeLists.txt - CMake build configuration

=== debian/changelog ===
pgagent (4.0.0-8+deb11u1) bullseye-security; urgency=medium

  * Non-maintainer upload by the LTS Security Team.
  * Add debian/patches/CVE-2025-0218.patch (Closes: #1092677)

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 17 Oct 2025 12:12:58 +0000

pgagent (4.0.0-8) unstable; urgency=medium

  * R³: no.
  * Skip tests on hurd-i386.

 -- Christoph Berg <myon@debian.org>  Fri, 09 Oct 2020 14:26:24 +0200

pgagent (4.0.0-7) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database.
  * Update standards version to 4.2.1, no changes needed.
  * Bump debhelper from deprecated 9 to 10.
  * Set upstream metadata fields: Bug-Submit.

  [ Christoph Berg ]
  * Update upstream URL in watch file.
  * Upload for PostgreSQL 13.
  * DH 13.
  * Run tests at build-time as well.
  * Move dependency on postgresql-NN to recommends.
  * debian/tests: Use 'make' instead of postgresql-server-dev-all.
  * debian/tests: Skip tests of unsupported PostgreSQL versions.

 -- Christoph Berg <myon@debian.org>  Tue, 06 Oct 2020 12:26:09 +0200

pgagent (4.0.0-6) unstable; urgency=medium

  * Upload for PostgreSQL 12.
  * Add debian/gitlab-ci.yml.

 -- Christoph Berg <myon@debian.org>  Tue, 29 Oct 2019 13:57:17 +0100

pgagent (4.0.0-5) unstable; urgency=medium

  * Depend on PostgreSQL server package. (Closes: #913827)
  * Test-depend on postgresql-all.

 -- Christoph Berg <myon@debian.org>  Sun, 18 Nov 2018 13:49:45 +0100

pgagent (4.0.0-4) unstable; urgency=medium

  * Add debian/tests/control.in: We do not depend on a specific server
    version, yet we only install extension files for specific versions.
    Test-depending on postgresql-all is not enough, because if the
    dependencies of that package change, we suddenly fail tests. Test-depend
    on postgresql-PGVERSION to fix. (Add debian/control.in along, because
    pg_buildext doesn't support d/t/c.in without d/c.in.)

 -- Christoph Berg <myon@debian.org>  Sun, 21 Oct 2018 22:28:59 +0200

pgagent (4.0.0-3) unstable; urgency=medium

  * Upload for PostgreSQL 11.

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 16 Oct 2018 10:45:45 +0200

pgagent (4.0.0-2) unstable; urgency=medium

  * Link with -pthread to fix FTBFS on non-x86.
  * Minimum required cmake version is 3.3.

 -- Christoph Berg <myon@debian.org>  Thu, 19 Jul 2018 21:14:06 +0200

pgagent (4.0.0-1) unstable; urgency=medium

  * New upstream version.
  * Package switched from wx to boost.
  * Update manpage.
  * Don't install upstream README, LICENSE and pgagent.sql.
  * Provide postgresql-*-pgagent.
  * Suggest pgadmin4 as well.
  * Move packaging repository to salsa.debian.org
  * Move maintainer address to team+postgresql@tracker.debian.org.

 -- Christoph Berg <myon@debian.org>  Wed, 18 Jul 2018 22:48:54 +0200

=== debian/control ===
Source: pgagent
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Build-Depends:
 cmake (>= 3.3),
 debhelper-compat (= 13),
 libboost-date-time-dev,
 libboost-dev,
 libboost-filesystem-dev,
 libboost-regex-dev,
 libboost-thread-dev,
 libpq-dev (>= 8.1),
 postgresql-all,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: http://www.pgadmin.org/docs/dev/pgagent.html
Vcs-Git: https://salsa.debian.org/postgresql/pgagent.git
Vcs-Browser: https://salsa.debian.org/postgresql/pgagent

Package: pgagent
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: ${Postgresql:Recommends},
Provides: ${Postgresql:Provides}
Suggests: pgadmin3 | pgadmin4
Description: job scheduling engine for PostgreSQL
 pgAgent is a job scheduling agent for PostgreSQL, capable of running
 multi-step batch/shell and SQL tasks on complex schedules.

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

opts="uversionmangle=s/_/./g" \
https://github.com/postgres/pgagent/releases .*/REL-(.*).tar.gz

http://ftp.postgresql.org/pub/pgadmin/pgagent/ pgAgent-(.*)-Source.tar.gz

## pgagent 4.2.1~20220624.1206-2~1.git6c687af.pgdg18.04+1

=== debian/changelog ===
pgagent (4.2.1~20220624.1206-2~1.git6c687af.pgdg18.04+1) bionic-pgdg; urgency=medium

  * Rebuild for bionic-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 11.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 15 Oct 2021 16:23:31 +0200

pgagent (4.2.1-2) unstable; urgency=medium

  * Upload for PostgreSQL 14.

 -- Christoph Berg <myon@debian.org>  Fri, 15 Oct 2021 16:23:31 +0200

pgagent (4.2.1-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Thu, 09 Sep 2021 17:35:23 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Christoph Berg <myon@debian.org>
 Build-Depends:
  cmake (>= 3.3),
- debhelper-compat (= 13),
+ debhelper (>= 11),
  libboost-date-time-dev,
  libboost-dev,
  libboost-filesystem-dev,

## pgagent 4.2.1~20220624.1206-2~1.git6c687af.pgdg20.04+1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #######################################################################
 #
 # pgAgent - PostgreSQL tools
-# Copyright (C) 2002 - 2018, The pgAdmin Development Team
+# Copyright (C) 2002 - 2021, The pgAdmin Development Team
 # This software is released under the PostgreSQL Licence
 #
 # CMakeLists.txt - CMake build configuration
@@ -62,12 +62,12 @@
 # in pgagent.sql and upgrade_pgagent.sql if the major version number is
 # changed. The full version number also needs to be included in pgAgent.rc and
 # pgaevent/pgamsgevent.rc at present.
-SET(VERSION "4.0.0")
+SET(VERSION "4.2.1")
 
 # CPack stuff
 SET(CPACK_PACKAGE_VERSION_MAJOR 4)
-SET(CPACK_PACKAGE_VERSION_MINOR 0)
-SET(CPACK_PACKAGE_VERSION_PATCH 0)
+SET(CPACK_PACKAGE_VERSION_MINOR 2)
+SET(CPACK_PACKAGE_VERSION_PATCH 1)
 SET(CPACK_PACKAGE_NAME "pgAgent")
 SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "pgAgent is a job scheduling engine for PostgreSQL")
 SET(CPACK_PACKAGE_VENDOR "the pgAdmin Development Team")
@@ -134,9 +134,15 @@
 ENDIF(WIN32)
 
 ADD_EXECUTABLE(pgagent ${_srcs})
+IF(UNIX AND NOT APPLE)
 TARGET_LINK_LIBRARIES(
-        pgagent ${PG_LIBRARIES} ${Boost_LIBRARIES}
+        pgagent ${PG_LIBRARIES} ${Boost_LIBRARIES} -pthread
 )
+ELSE()
+TARGET_LINK_LIBRARIES(
+        pgagent ${PG_LIBRARIES} ${Boost_LIBRARIES} -pthread
+)
+ENDIF()
 
 # Installation
 IF (WIN32)
@@ -144,11 +150,11 @@
     INSTALL(FILES ${pgagent_SOURCE_DIR}/sql/pgagent.sql DESTINATION .)
 ELSE(WIN32)
     INSTALL(TARGETS pgagent DESTINATION bin)
-    INSTALL(FILES ${pgagent_SOURCE_DIR}/sql/pgagent.sql DESTINATION share)
-ENDIF(WIN32)
-
-INSTALL(FILES ${pgagent_SOURCE_DIR}/README DESTINATION .)
-INSTALL(FILES ${pgagent_SOURCE_DIR}/LICENSE DESTINATION .)
+    #INSTALL(FILES ${pgagent_SOURCE_DIR}/sql/pgagent.sql DESTINATION share)
+ENDIF(WIN32)
+
+#INSTALL(FILES ${pgagent_SOURCE_DIR}/README DESTINATION .)
+#INSTALL(FILES ${pgagent_SOURCE_DIR}/LICENSE DESTINATION .)
 
 # Extension
 IF(PG_EXTENSION)

=== .pc/link_pthread/CMakeLists.txt ===
#######################################################################
#
# pgAgent - PostgreSQL tools
# Copyright (C) 2002 - 2021, The pgAdmin Development Team
# This software is released under the PostgreSQL Licence
#
# CMakeLists.txt - CMake build configuration
#
#######################################################################

################################################################################
# Initial setup
################################################################################
IF(APPLE)
    CMAKE_MINIMUM_REQUIRED(VERSION 2.8.8)
ELSE()
    CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
ENDIF(APPLE)

IF(COMMAND cmake_policy)
    CMAKE_POLICY(SET CMP0003 NEW)
ENDIF(COMMAND cmake_policy)

SET(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)

SET(CMAKE_FIND_LIBRARY_PREFIXES "")
SET(CMAKE_FIND_LIBRARY_SUFFIXES ".lib")

SET(STATIC_BUILD NO CACHE BOOL "Statically link the executable?")
SET(BOOST_MULTITHREADED_BUILD YES CACHE BOOL "Build multithreaded executable?")
SET(BOOST_STATIC_BUILD NO CACHE BOOL "Statically link the executable?")
################################################################################
# Apple stuff
################################################################################
IF(APPLE)
    # Setup default values
    IF(NOT HAVE_CACHED_VALUES)

        IF(EXISTS ${CMAKE_OSX_SYSROOT})
            SET(CMAKE_OSX_SYSROOT ${CMAKE_OSX_SYSROOT} CACHE FILEPATH "isysroot used for universal binary support" FORCE)
        ENDIF(EXISTS ${CMAKE_OSX_SYSROOT})

        IF(NOT ${CMAKE_OSX_ARCHITECTURES} STREQUAL "")
            SET(CMAKE_OSX_ARCHITECTURES ${CMAKE_OSX_ARCHITECTURES} CACHE STRING "Build architectures for OSX" FORCE)
        ELSE()
            SET(CMAKE_OSX_ARCHITECTURES "x86_64" CACHE STRING "Build architectures for OSX" FORCE)
        ENDIF(NOT ${CMAKE_OSX_ARCHITECTURES} STREQUAL "")

    ENDIF(NOT HAVE_CACHED_VALUES)

   # Target Tiger
    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mmacosx-version-min=10.9")
ENDIF(APPLE)

################################################################################
# Project config
################################################################################
PROJECT(pgagent)

# If changing the version number, remember to change here and under the CPack
# settings in this file, as well as the definition for pgagent_schema_version()
# in pgagent.sql and upgrade_pgagent.sql if the major version number is
# changed. The full version number also needs to be included in pgAgent.rc and
# pgaevent/pgamsgevent.rc at present.
SET(VERSION "4.2.1")

# CPack stuff
SET(CPACK_PACKAGE_VERSION_MAJOR 4)
SET(CPACK_PACKAGE_VERSION_MINOR 2)
SET(CPACK_PACKAGE_VERSION_PATCH 1)
SET(CPACK_PACKAGE_NAME "pgAgent")
SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "pgAgent is a job scheduling engine for PostgreSQL")
SET(CPACK_PACKAGE_VENDOR "the pgAdmin Development Team")
IF(WIN32)
    SET(CPACK_GENERATOR ZIP)
ELSE(WIN32)
    SET(CPACK_GENERATOR TGZ)
ENDIF(WIN32)
SET(CPACK_SOURCE_GENERATOR TGZ)
SET(CPACK_SOURCE_IGNORE_FILES "\\\\.DS_Store;/CVS/;/\\\\.svn/;\\\\.swp$;\\\\.#;/#;.*~;cscope.*")

ADD_DEFINITIONS(-DPGAGENT_VERSION_MAJOR=${CPACK_PACKAGE_VERSION_MAJOR})
ADD_DEFINITIONS(-DPGAGENT_VERSION="${VERSION}")

IF(WIN32)
    SET(BOOST_WIN_VERSION 0x0501)
    ADD_DEFINITIONS(-D_WIN32_WINNT=${BOOST_WIN_VERSION} -D_CRT_SECURE_NO_WARNINGS -D_SCL_SECURE_NO_WARNINGS)
ENDIF(WIN32)

# This must come after we set the CPACK variables!!
INCLUDE(CPack)

################################################################################
# Find PostgreSQL
################################################################################
SET(PG_STATIC ${STATIC_BUILD})

FIND_PACKAGE(PG REQUIRED)

INCLUDE_DIRECTORIES(${PG_INCLUDE_DIRS})
LINK_DIRECTORIES(${PG_LIBRARY_DIRS})

################################################################################
# Find Boost Libraries
################################################################################
SET (Boost_FIND_REQUIRED TRUE)
SET (Boost_FIND_QUIETLY FALSE)
SET (Boost_DEBUG FALSE)
SET (Boost_USE_MULTITHREADED ${BOOST_MULTITHREADED_BUILD})
SET (Boost_USE_STATIC_LIBS ${BOOST_STATIC_BUILD})

FIND_PACKAGE(Boost COMPONENTS filesystem regex date_time thread system)

if(Boost_FOUND)
  INCLUDE_DIRECTORIES(${Boost_INCLUDE_DIRS})
  LINK_DIRECTORIES(${Boost_LIBRARY_DIRS})
ELSE()
  MESSAGE(FATAL_ERROR "Boost library not found.")
endif()

################################################################################
# Let's rock!
################################################################################
INCLUDE_DIRECTORIES(${pgagent_SOURCE_DIR}
                    ${pgagent_SOURCE_DIR}/include)

FILE(GLOB _cpp_files *.cpp)
FILE(GLOB _h_files include/*.h)

SET(_srcs ${_cpp_files} ${_h_files})

IF(WIN32)
    SET(_srcs ${_srcs} pgagent.rc)
ENDIF(WIN32)

ADD_EXECUTABLE(pgagent ${_srcs})
IF(UNIX AND NOT APPLE)
TARGET_LINK_LIBRARIES(
        pgagent ${PG_LIBRARIES} ${Boost_LIBRARIES} -pthread
)
ELSE()
TARGET_LINK_LIBRARIES(
        pgagent ${PG_LIBRARIES} ${Boost_LIBRARIES}
)
ENDIF()

# Installation
IF (WIN32)
    INSTALL(TARGETS pgagent DESTINATION .)
    INSTALL(FILES ${pgagent_SOURCE_DIR}/sql/pgagent.sql DESTINATION .)
ELSE(WIN32)
    INSTALL(TARGETS pgagent DESTINATION bin)
    #INSTALL(FILES ${pgagent_SOURCE_DIR}/sql/pgagent.sql DESTINATION share)
ENDIF(WIN32)

#INSTALL(FILES ${pgagent_SOURCE_DIR}/README DESTINATION .)
#INSTALL(FILES ${pgagent_SOURCE_DIR}/LICENSE DESTINATION .)

# Extension
IF(PG_EXTENSION)
    ADD_CUSTOM_COMMAND(
        OUTPUT ${CMAKE_BINARY_DIR}/pgagent--${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.sql pgagent.control
        COMMAND ${CMAKE_COMMAND} -D MAJOR_VERSION=${CPACK_PACKAGE_VERSION_MAJOR} -D MINOR_VERSION=${CPACK_PACKAGE_VERSION_MINOR} -DPGAGENT_SOURCE_DIR=${CMAKE_CURRENT_SOURCE_DIR} -P ${CMAKE_CURRENT_SOURCE_DIR}/cmake/MakeExt.cmake
        MAIN_DEPENDENCY ${CMAKE_CURRENT_SOURCE_DIR}/sql/pgagent.sql
    )
    ADD_CUSTOM_TARGET(run ALL DEPENDS ${CMAKE_BINARY_DIR}/pgagent--${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.sql ${CMAKE_BINARY_DIR}/pgagent.control)
    INSTALL(FILES ${CMAKE_BINARY_DIR}/pgagent--${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.sql DESTINATION ${PG_SHARE_DIR}/extension)
    FILE(GLOB SQL "${CMAKE_CURRENT_SOURCE_DIR}/sql/*--*.sql")
    FILE(GLOB CONTROL "${CMAKE_CURRENT_SOURCE_DIR}/*.control")
    INSTALL(FILES ${CMAKE_BINARY_DIR}/pgagent.control ${CONTROL} ${SQL} DESTINATION ${PG_SHARE_DIR}/extension)
ENDIF(PG_EXTENSION)

################################################################################
# pgaevent
################################################################################
IF(WIN32)
    ADD_SUBDIRECTORY(pgaevent)
ENDIF(WIN32)

################################################################################
# Build summary
################################################################################
MESSAGE(STATUS " ")

MESSAGE(STATUS "================================================================================")
MESSAGE(STATUS "Configuration summary:")
MESSAGE(STATUS " ")
MESSAGE(STATUS "  Project                     : ${PROJECT_NAME}")
MESSAGE(STATUS "  Description                 : ${CPACK_PACKAGE_DESCRIPTION_SUMMARY}")
MESSAGE(STATUS "  Version                     : ${VERSION}")
MESSAGE(STATUS " ")
MESSAGE(STATUS "  PostgreSQL version string   : ${PG_VERSION_STRING}")
IF(${PG_MAJOR_VERSION} GREATER 9)
	MESSAGE(STATUS "  PostgreSQL version parts    : ${PG_MAJOR_VERSION}")
ELSE()
	MESSAGE(STATUS "  PostgreSQL version parts    : ${PG_MAJOR_VERSION}.${PG_MINOR_VERSION}")
ENDIF(${PG_MAJOR_VERSION} GREATER 9)
MESSAGE(STATUS "  PostgreSQL path             : ${PG_ROOT_DIR}")
MESSAGE(STATUS "  PostgreSQL config binary    : ${PG_CONFIG_PATH}")
MESSAGE(STATUS "  PostgreSQL include path     : ${PG_INCLUDE_DIRS}")
MESSAGE(STATUS "  PostgreSQL library path     : ${PG_LIBRARY_DIRS}")
MESSAGE(STATUS "  PostgreSQL share path       : ${PG_SHARE_DIR}")
MESSAGE(STATUS " ")
MESSAGE(STATUS "  Boost version               : ${Boost_MAJOR_VERSION}.${Boost_MINOR_VERSION}.${Boost_SUBMINOR_VERSION}")
MESSAGE(STATUS "  Boost path                  : ${Boost_INCLUDE_DIRS}")
MESSAGE(STATUS "  Boost include directory     : ${Boost_INCLUDE_DIRS}")
MESSAGE(STATUS "  Boost library directory     : ${Boost_LIBRARY_DIRS}")
MESSAGE(STATUS "  Boost Static linking        : ${Boost_USE_STATIC_LIBS}")
MESSAGE(STATUS "================================================================================")
MESSAGE(STATUS " ")

################################################################################
# Give ourselves a hint that we have cached values - must be last!
################################################################################
IF(NOT HAVE_CACHED_VALUES)
    SET(HAVE_CACHED_VALUES 1 CACHE INTERNAL "Flag to indicate that we have cached values")
ENDIF(NOT HAVE_CACHED_VALUES)

=== debian/changelog ===
pgagent (4.2.1~20220624.1206-2~1.git6c687af.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 15 Oct 2021 16:23:31 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Christoph Berg <myon@debian.org>
 Build-Depends:
  cmake (>= 3.3),
- debhelper (>= 11),
+ debhelper (>= 12),
  libboost-date-time-dev,
  libboost-dev,
  libboost-filesystem-dev,

## pgagent 4.2.1~20220624.1206-2~1.git6c687af.pgdg22.04+1

=== debian/changelog ===
pgagent (4.2.1~20220624.1206-2~1.git6c687af.pgdg22.04+1) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 15 Oct 2021 16:23:31 +0200

## pgagent 4.2.1~20220624.1206-2~1.git6c687af.pgdg90+1

=== debian/changelog ===
pgagent (4.2.1~20220624.1206-2~1.git6c687af.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 10.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 15 Oct 2021 16:23:31 +0200

## pgagent 4.2.1~20220624.1206-2~1.git6c687af.pgdg100+1

=== debian/changelog ===
pgagent (4.2.1~20220624.1206-2~1.git6c687af.pgdg100+1) buster-pgdg; urgency=medium

  * Rebuild for buster-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 15 Oct 2021 16:23:31 +0200
